Skip to main content
GET
/
waap
/
v2
/
ip-info
/
top-paths
Get top attacked paths from a specific IP (account-scoped)
curl --request GET \
  --url https://api.gcore.com/waap/v2/ip-info/top-paths \
  --header 'Authorization: <api-key>'
[
  {
    "date": "2023-11-07T05:31:56Z",
    "path": "<string>",
    "attack_types": [
      "<string>"
    ],
    "attacks": 0,
    "blocked": 0,
    "requests": 0,
    "sessions": 0,
    "user_agents": 0,
    "duration": 0
  }
]

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

ip
required

The IP address to check

Response

Successful Response

Maximum array length: 10
date
string<date-time>
required

First seen timestamp for the IP+path within retention period

path
string
required

Path value as stored in logs

attack_types
string[]

Distinct rule names seen for this IP+path

attacks
integer
default:0

Total detected attacks (blocked + monitored/suppressed outcomes)

blocked
integer
default:0

Blocked attacks

requests
integer
default:0

Total requests

sessions
integer
default:0

Distinct sessions

user_agents
integer
default:0

Distinct user agents

duration
integer
default:0

last_seen - first_seen in seconds within retention